## ros-humble-ament-cmake-google-benchmark 1.3.5

=== debian/changelog ===
ros-humble-ament-cmake-google-benchmark (1.3.5-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 22 Jun 2023 07:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.3.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 07:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.3.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Nov 2022 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.3.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 May 2022 07:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.3.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 07:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.2.1-1jammy) jammy; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.2.0-1jammy) jammy; urgency=high

  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 07:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.1.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.1.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-humble-ament-cmake-google-benchmark (1.1.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-humble-ament-cmake-google-benchmark (1.1.0-1jammy) jammy; urgency=high

  * Serialize benchmarks within CTest by default (#308 <https://github.com/ament/ament_cmake/issues/308>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.0.2-1jammy) jammy; urgency=high

  * Handle runtime failures in Google Benchmark (#294 <https://github.com/ament/ament_cmake/issues/294>)
    This change will handle runtime failures in Google Benchmark by
    propagating error information from Google Benchmark to both CTest and
    the Jenkins benchmark plugin.
  * Use consistent string format and resolve flake8 (#295 <https://github.com/ament/ament_cmake/issues/295>)
    Follow-up to a5fb3112b5c46c42b1824c96af4171d469eb13bf
  * Make ament_cmake_test a dep of ament_cmake_google_benchmark (#293 <https://github.com/ament/ament_cmake/issues/293>)
  * Catch JSONDecodeError and printout some debug info (#291 <https://github.com/ament/ament_cmake/issues/291>)
  * Update package maintainers. (#286 <https://github.com/ament/ament_cmake/issues/286>)
  * Contributors: Michel Hidalgo, Scott K Logan, brawner

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 07 Dec 2020 08:00:00 -0000

ros-humble-ament-cmake-google-benchmark (1.0.1-1jammy) jammy; urgency=high

  * Make AMENT_RUN_PERFORMANCE_TESTS a CMake option (#280 <https://github.com/ament/ament_cmake/issues/280>)
  * Skip performance tests using a CMake variable (#278 <https://github.com/ament/ament_cmake/issues/278>)
    These tests can be fairly heavy, so we don't want to run them by
    default. It would be better if there was a way to skip the tests by
    default in such a way that they could be specifically un-skipped at
    runtime, but I can't find a mechanism in CMake or CTest that would allow
    us to achieve that behavior without leveraging environment variables.
  * Handle Google Benchmark 'aggregate' results (#276 <https://github.com/ament/ament_cmake/issues/276>)
    Previously, I assumed all results generated by Google Benchmark were of
    'iteration' type. Now that I have more experience with Google Benchmark,
    I've started generating aggregate results, which contain some different
    properties.
    This change adds support for aggregate results and should make it easy
    to add any other result schemas we encounter in the future. For
    forward-compatibility, unsupported types will generate a warning message
    but will not fail the test. This makes the conversion tolerant to Google
    Benchmark adding new measures for existing mechanisms.
  * Initial Google Benchmark results conversion (#275 <https://github.com/ament/ament_cmake/issues/275>)

