=== debian/control ===
Source: ros-humble-ament-cmake-google-benchmark
Section: misc
Priority: optional
Maintainer: Michael Jeronimo <michael.jeronimo@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-core, ros-humble-ament-cmake-export-dependencies, ros-humble-ament-cmake-python, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ament-cmake-google-benchmark
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-test, ros-humble-google-benchmark-vendor, ros-humble-ros-workspace
Description: The ability to add Google Benchmark tests in the ament buildsystem in CMake.
